Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034615
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2016-11-24 13:352016-12-16 18:39
ReporteregoitzView Statuspublic 
Assigned Tocollazoandy4 
PriorityhighResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision134aee6f2593
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034615: Arabic characters set are not printed on some standard reports.

DescriptionWhen using arabic language, the arabic characters are not printed on the general ledger report.
Steps To Reproduce1) Change the name of one ofe accounts and use for example: سركون بولص. بورتريه للشخص العراقي
2) Go to the report general report and generate the PDF.
3) Notice that the changed account name is not printed in the report.


Proposed SolutionChange in the jrxml files the fontName to use "Dejavu Sans" instead of the fonts used actually (Helvetica or Bitstream Vera Sans)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00253143.0PR14Q2 closedcaristu Arabic characters set are not printed on some standard reports. 

-  Notes
(0091905)
collazoandy4 (developer)
2016-11-28 19:58

Test Plan
As group admin role:
 Go to Account Tree window and select F&B España, SA Account Account
 In the Element tab filter for 10000 in Search Key and edit the name to سركون بولص. بورتريه للشخص العراقي
 Go to the General Ledger Report and set From Date to 01-11-2011 and To Date 30-11-2016
 Clic ok the Print Record button in the toolbar
(0091993)
hgbot (developer)
2016-12-01 20:09

Repository: erp/devel/pi
Changeset: 134aee6f25931b14345832f755e7128ba9d51029
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Nov 28 13:15:39 2016 -0800
URL: http://code.openbravo.com/erp/devel/pi/rev/134aee6f25931b14345832f755e7128ba9d51029 [^]

Fixes issue 34615: Arabic character not printed in General Ledger Report

The font for the account name field on the General Ledger Report was changed to Dejavu Sans for Arabic character in accounts name

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.jrxml
---
(0091994)
aferraz (developer)
2016-12-01 20:10

Code review + Testing OK
(0092683)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-24 13:35 egoitz New Issue
2016-11-24 13:35 egoitz Assigned To => caristu
2016-11-24 13:35 egoitz Modules => Core
2016-11-24 13:35 egoitz Triggers an Emergency Pack => No
2016-11-24 13:35 egoitz Issue generated from 0025314
2016-11-24 13:35 egoitz Relationship added related to 0025314
2016-11-25 07:47 alostale Assigned To caristu => Triage Finance
2016-11-25 11:37 aferraz Assigned To Triage Finance => collazoandy4
2016-11-25 22:11 collazoandy4 Assigned To collazoandy4 => egoitz
2016-11-25 22:12 collazoandy4 Assigned To egoitz => collazoandy4
2016-11-25 22:13 collazoandy4 Status new => scheduled
2016-11-28 19:58 collazoandy4 Note Added: 0091905
2016-12-01 20:09 hgbot Checkin
2016-12-01 20:09 hgbot Note Added: 0091993
2016-12-01 20:09 hgbot Status scheduled => resolved
2016-12-01 20:09 hgbot Resolution open => fixed
2016-12-01 20:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/134aee6f25931b14345832f755e7128ba9d51029 [^]
2016-12-01 20:10 aferraz Review Assigned To => aferraz
2016-12-01 20:10 aferraz Note Added: 0091994
2016-12-01 20:10 aferraz Status resolved => closed
2016-12-01 20:10 aferraz Fixed in Version => 3.0PR17Q1
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092683


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker